<template>
  <v-card rounded="xl" color="background">
    <v-card-title class="pb-2 pt-2">
      <v-spacer></v-spacer>
      <offer-status :status="offer.status" />
    </v-card-title>
    <v-container fluid style="background-color: transparent !important;">
      <v-row dense>
        <v-col cols="12">
          <asset-balance
            :balance="{
              formattedBalance: formatBalance(offer.amount),
              symbol: `LDS`
            }"
          />
        </v-col>
      </v-row>
      <v-row dense>
        <v-col cols="12">
          <v-btn
            block
            color="primary"
            class="white--text elevation-0"
            @click="buy"
            shaped
          >
            {{ offer.rate.price / 100 }} ₽
            <v-divider vertical color="white" class="ml-2 mr-2"></v-divider>
            <v-spacer></v-spacer>
            Купить
            <v-spacer></v-spacer>
          </v-btn>
        </v-col>
      </v-row>
    </v-container>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { OfferResponse } from '@/api/ledius-token';
import { Prop } from 'vue-property-decorator';
import { formatBalance } from '@/utils';
import AssetBalance from '@/components/account/AssetBalance.vue';
import OfferStatus from '@/components/offers/OfferStatus.vue';

@Component({
  components: {
    AssetBalance,
    OfferStatus
  }
})
export default class OfferListItem extends Vue {
  @Prop({
    required: true,
    type: Object
  })
  private readonly offer!: OfferResponse;

  private formatBalance = (v: string): string => formatBalance(v);

  private async buy(): Promise<void> {
    await this.$emit('buy', this.offer);
  }
}
</script>

<style scoped></style>
